Running Kinfu_app

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Running Kinfu_app

MahdiY
This post has NOT been accepted by the mailing list yet.
This post was updated on .
Hello,

I'm trying to build & run pcl_kinfu_app using Kinect V1 on Ubuntu 14.04, compiling is OK, while running gets me the following error:


[pcl::gpu::printShortCudaDeviceInfo] : Device 0:  "GeForce GT 640"  3069Mb, sm_21, 144 cores, Driver/Runtime ver.7.50/7.50
Can't open depth source


I googled but I couldn't find useful posts to solve this problem.  Any advice would be greatly appreciated.
(I use CUDA Toolkit 7.50, QT 5 and VTK 6)

Thanks,
Reply | Threaded
Open this post in threaded view
|

Re: Running Kinfu_app

VictorLamoine
Administrator
Hello,

Please do not use kinfu PCL implementation and use kinfu_remake instead:
https://github.com/Nerei/kinfu_remake

The code in PCL is old an deprecated!

Bye
Reply | Threaded
Open this post in threaded view
|

Re: Running Kinfu_app

MahdiY
This post has NOT been accepted by the mailing list yet.
Thanks Victor for your help. I could solve this problem, but I will definitely use Kinfu_remake.
I need to use Kinect V2 with kinfu app. I think PCL_Kinfu doesn't support the new Kinect device.
Do you have any suggestion to help me using Kinect V2?

Many Thanks,